package com.yunzhi.marketing.redpack.entity;

import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.UUID;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * H5模板 
 * </p>
 *
 * @author fxf
 * @since 2020-06-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaH5Template implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 模板ID
     */
    @TableId(value = "h5_template_id", type = IdType.UUID)
    private String h5TemplateId;

    /**
     * 模板名称
     */
    private String name;

    /**
     * 活动类型 RedPacket红包
     */
    private String activityType;

    /**
     * 活动样例
     */
    private String activityId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 活动地址
     */
    private String activityUrl;
}
