package com.yunzhi.marketing.mapper;

import com.yunzhi.marketing.bo.request.ActivityStatisticResponseBO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

/**
 * @author gusy
 * @date 2020/4/26 11:16
 */
@Component
@Mapper
public interface ActivityManageMapper {

    /**
     * 获取活动统计数据
     *
     * @return
     */
    ActivityStatisticResponseBO getStatisticDataByType(@Param("type") String type,
                                                       @Param("id") String id,
                                                       @Param("orgId") Integer orgId);

}
