package com.yunzhi.marketing.service;

import com.yunzhi.marketing.base.ResponseBean;
import com.yunzhi.marketing.entity.TaPersonBuilding;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yunzhi.marketing.excel.SalesExport;

import java.util.List;

/**
 * <p>
 * 人员授权项目 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
public interface ITaPersonBuildingService extends IService<TaPersonBuilding> {
    ResponseBean selectList(Integer pageNum, Integer pageSize, Integer orgId, String buildingId, String startCreateDate, String endCreateDate, List<TaPersonBuilding> getTaPersonBuildingListByUserId);

    /**
     * 导出
     * @param buildingId
     * @param startCreateDate
     * @param endCreateDate
     * @param taPersonBuildingListByUserId
     * @return
     */
    List<SalesExport> selectSalesList(Integer orgId, String buildingId, String startCreateDate, String endCreateDate, List<TaPersonBuilding> taPersonBuildingListByUserId);
}
